

//********************************//
//       3D ENGINE P.L.E.1        //
//********************************//
//       (c) Peter Adamcik        //
//********************************//
//   http://3Dgames.ceskehry.cz   //
//********************************//

//upravy:
//--------------

//Octree
//!!upravena koolizia (ak je zhodna s modom tak sa kolizia neprevadza)
//!!podla modu sa upravuje ktora textura sa bude renderovat v grouptype 2
//!!upravene podla collision type ktora skupina sa bude renderovat
//!!upravene nacitavanie textur prva textura sa nacita podla detail

/////////////////


#ifndef _MAIN_H_
#define _MAIN_H_

//

#define DIRECTINPUT_VERSION 0x0800

//

////////////////

#include <stdio.h>
#include <conio.h>


//directX 9
#include <d3dx9.h>

//directinput
#include <dinput.h> 

//direct music
#include <dmusici.h> 
#include <dsound.h>
#include <dshow.h>

//openAL
#include <alut.h>
#include <alc.h>
#include <al.h>

///////////

//pomocne funkcie
#include "types.h"

//Log
#include "log.h"

//nastavenia
#include "config.h"

//////////////

//Engine
#include "engine.h"
extern ENGINE Engine;

//debug
#include "debug.h"

//dinput
#include "input.h"
extern INPUT Input;

//sound
#include "sound.h"

//camera
#include "camera.h"
extern CAMERA Camera;

//render to texture
#include "offscreen.h"

//stencil shadows
#include "stencil.h"
extern STENCIL StencilShadow;

//font2D
#include "font2d.h"

//Dxfont
#include "dxfont.h"

//2DPanel
#include "2DPanel.h"

//particles
#include "particles.h"

//skydome
#include "skydome.h"

//lightmanager
#include "light.h"
extern LIGHTMANAGER LightManager;

//OCTree
#include "octree.h"

//BSP
#include "bsp.h"

//Q3 BSP mapa
#include "q3bsp.h"

//models
#include "model.h"

//particle system 
#include "particlesystem.h"

//fireball system
#include "fireball.h"


///////////////
///////////////
//GAME SYSTEM//
///////////////
///////////////

//phisics system
#define F_Gravity Get3D(0.0f,-1.0f,0.0f)
#define F_MapSize 12500.0f
#define F_MapHeight 2300.0f
#define F_Scale Get3D(1.0f,1.1f,1.0f)

//najvyssie score v battle
extern int TopScore;

//sounds
#include "soundlib.h"
extern SOUNDLIB SoundLib;

//models
#include "modellib.h"
extern MODELLIB ModelLib;

//score napisy
#include "score.h"
extern SCORE Score;

//bullets
#include "bullets.h"

//bomby
#include "bombs.h"

//particle system
#include "explo.h"
extern EXPLO Explo;

//messer schmitt
#include "messerschmitt.h"

//volker
#include "volker.h"

//bombarder
#include "bombarder.h"

//structures
#include "structures.h"

//truck
#include "truck.h"

//okolny svet
#include "Level.h"
extern LEVEL Level;

//lietadlo
#include "spitfire.h"
extern SPITFIRE SpitFire;

//menu
#include "menu.h"
extern MENU Menu;

//editor
#include "editor.h"
extern EDITOR Editor;



#endif //_MAIN_H_